Summary:    GParted is a graphical frontend to libparted
Name:       gparted
Version:    0.3.3
Release:    %mkrel 5
License:    GPL
Group:      System/Kernel and hardware      

Source:     http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:     gparted-0.3.3-desktop.patch
Url:        http://%{name}.sourceforge.net/
BuildRoot:  %_tmppath/%name-%version-root
BuildRequires:  parted-devel >= 1.6.13 
BuildRequires:  gtkmm2.4-devel
BuildRequires:  ImageMagick
Requires:   usermode-consoleonly

%description
GParted stands for Gnome Partition Editor and is a graphical frontend to 
libparted. Among other features it supports creating, resizing, moving 
and copying of partitions.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall
%find_lang %name

#icons
mkdir -p $RPM_BUILD_ROOT/{%_liconsdir,%_iconsdir,%_miconsdir}
convert pixmaps/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
install pixmaps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
convert pixmaps/%{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png

#consolehelper
install -d $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/gparted $RPM_BUILD_ROOT%{_sbindir}
pushd $RPM_BUILD_ROOT%{_bindir}
ln -sf consolehelper %{name}
popd

%clean
rm -fr %buildroot

%post
%update_menus
                
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 0.3.3-5mdv2008.0
+ Revision: 102781
- fix menu location (bug#35097)

* Sun Oct 14 2007 Funda Wang <fundawang@mandriva.org> 0.3.3-4mdv2008.1
+ Revision: 98168
- fix desktop file (bug#34749)

* Mon May 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.3-3mdv2008.0
+ Revision: 29326
- fix build
- rebuild with new parted library


* Fri Jan 26 2007 Pixel <pixel@mandriva.com> 0.3.3-2mdv2007.0
+ Revision: 113691
- rebuild for libparted-1.8.so.2

* Fri Jan 05 2007 Stew Benedict <sbenedict@mandriva.com> 0.3.3-1mdv2007.1
+ Revision: 104466
- Import gparted

* Fri Jan 05 2007 Stew Benedict <sbenedict@mandriva.com> 0.3.3-1mdv2007.1
- 0.3.3

* Thu Sep 07 2006 Stew Benedict <sbenedict@mandriva.com> 0.2.5-6mdv2007.0
- make sure new libcariomm is actually installed and rebuild

* Sun Sep 03 2006 Emmanuel Andry <tvignaud@mandriva.com> 0.2.5-5mdv2007.0
- rebuild against new libcairomm

* Sun Aug 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.5-4mdv2007.0
- really rebuild against new libparted

* Sat Aug 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.5-3mdv2007.0
- rebuild for new libparted

* Tue Jul 11 2006 Stew Benedict <sbenedict@mandriva.com> 0.2.5-2mdv2007.0
- rebuild for new libparted
- remove parted as a requires
  don't know why previous editor felt it was needed
- xdg menu

* Wed May 24 2006 Emmanuel Andry <eandry@mandriva.org> 0.2.5-1mdk
- 0.2.5
- move parted as Requires and not buildrequires

* Wed Apr 19 2006 Stew Benedict <sbenedict@mandriva.com> 0.2.4-1mdk
- 0.2.4
- drop S2, use included logo

* Mon Oct 03 2005 Olivier Blin <oblin@mandriva.com> 0.0.8-2mdk
- rebuild for parted-1.6.24

* Thu Dec 23 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.0.8-1mdk
- 0.0.8, add an icon to the menu items

* Wed Nov 10 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.0.6-1mdk
- first Mandrakelinux release

